BA won't open

The place to discuss the Linux/Ubuntu edition
Post Reply
Tom_Lawrence
Posts: 4
Joined: Fri Oct 02, 2020 5:06 pm

BA won't open

Post by Tom_Lawrence » Fri Oct 02, 2020 8:02 pm

Hi

I recently moved to Linux Mint 19.3.

I tried out Linux on an old laptop, put Mint 19.3 on it and downloaded BA. BA Installed and worked great.

Switched my main laptop over to Linux. Regretfully installed Mint 20. Tried installing BA and of course would not install. (Would need the Beta 5.4 to get BA to work on Mint 20.)

BA worked great on the old laptop running Mint 19.3

So I did another fresh install of Mint 19.3 on my main laptop, tried installed BA. Synaptic package manager lists it as installed. Click on BA in the menu and I get nothing.

Tried sudo bibleanalyzer in the terminal and got:

************ Starting Bible Analyzer *************
2.7.17 (default, Jul 20 2020, 15:37:01)
[GCC 7.5.0]
4.1.0 gtk3 (phoenix) wxWidgets 3.1.4

Traceback (most recent call last):
File "/opt/bibleanalyzer/ba-run.py", line 6, in <module>
import analyzer5
File "/opt/bibleanalyzer/ba-521.zip/analyzer5.py", line 26, in <module>
File "/opt/bibleanalyzer/ba-521.zip/mainMenu.py", line 2, in <module>
File "/opt/bibleanalyzer/ba-521.zip/autoCtrl.py", line 33, in <module>
File "/opt/bibleanalyzer/ba-521.zip/autoCtrl.py", line 47, in SuggestionsPopup
AttributeError: 'module' object has no attribute 'HtmlListBox'

The last line has an error.

Don't understand. Two computers both running Mint 19.3, BA works on one and not the other.

The old one is a HP Pavilion 4 gig ram, quad core
The current one is a HP EliteBook 16 gig ram, i5

I removed and reinstalled BA a couple times, doesn't help.

Any Ideas?

Tim
Site Admin
Posts: 1211
Joined: Sun Dec 07, 2008 1:14 pm

Re: BA won't open

Post by Tim » Sat Oct 03, 2020 6:22 am

Bible Analyzer 5.2 requires python.wxgtk3.0. Your system installed the newer 4.0. Download 3.0 and Bible Analyzer should run as it does on your other system.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Tom_Lawrence
Posts: 4
Joined: Fri Oct 02, 2020 5:06 pm

Re: BA won't open

Post by Tom_Lawrence » Sat Oct 03, 2020 7:59 am

Says python-wxgtk3.0 is already installed.

I googled, how to install python-wxgtk3.0

tom@EliteBook:~$ sudo apt-get install -y python-wxgtk3.0
[sudo] password for tom:
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-wxgtk3.0 is already the newest version (3.0.2.0+dfsg-7).
python-wxgtk3.0 set to manually installed.
The following package was automatically installed and is no longer required:
python-pip-whl
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 15 not upgraded.

Thank you for your reply

Tom

Tim
Site Admin
Posts: 1211
Joined: Sun Dec 07, 2008 1:14 pm

Re: BA won't open

Post by Tim » Sat Oct 03, 2020 2:41 pm

Ok, now remove version 4.0 because Linux always defaults to the newest installed version.

After removal it wouldn't hurt to check that version 3.0 is still installed correctly.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Tom_Lawrence
Posts: 4
Joined: Fri Oct 02, 2020 5:06 pm

Re: BA won't open

Post by Tom_Lawrence » Sun Oct 04, 2020 3:02 pm

Thank you for your help.

I still have issues.

tom@EliteBook:~$ sudo apt-get --purge remove python-wxgtk4.0
[sudo] password for tom:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'python-wxgtk4.0' is not installed, so not removed


However when I do:

tom@EliteBook:~$ sudo bibleanalyzer

************ Starting Bible Analyzer *************
2.7.15+ (default, Oct 7 2019, 17:39:04)
[GCC 7.4.0]
4.1.0 gtk3 (phoenix) wxWidgets 3.1.4


4.1.0 gtk3 (phonix) is wxpython 4.0


tom@EliteBook:~$ pip show WxPython
Name: wxPython
Version: 3.0.2.0
Summary: Cross platform GUI toolkit for Python
Home-page: http://wxPython.org/
Author: Robin Dunn
Author-email: Robin Dunn <robin@alldunn.com>
License: wxWidgets Library License (LGPL derivative)
Location: /usr/lib/python2.7/dist-packages/wx-3.0-gtk3


tom@EliteBook:~$ python
Python 2.7.15+ (default, Oct 7 2019, 17:39:04)
[GCC 7.4.0] on linux2


Is my "sudo apt-get --purge remove python-wxgtk4.0" wrong?

Thank You
Tom

Tim
Site Admin
Posts: 1211
Joined: Sun Dec 07, 2008 1:14 pm

Re: BA won't open

Post by Tim » Sun Oct 04, 2020 4:50 pm

pip and apt will each install in separate folders. Try uninstalling both 3.0 and 4.0 in both then install only 3.0 using "apt-get"
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Tom_Lawrence
Posts: 4
Joined: Fri Oct 02, 2020 5:06 pm

Re: BA won't open

Post by Tom_Lawrence » Mon Oct 05, 2020 8:50 pm

Solved: I am posting this for anyone else who ends up with similar troubles.

Somehow my Linux system installed wxPython 4.0 (my best guess is doing “dist-upgrade”)

Even after “apt-get --purge remove python-wxgtk4.0” there were still remnants of wxPython 4.0 somewhere in /home.

Although I had removed and reinstalled Bible Analyzer and reinstalled the Linux distro multiple times, since my /home folder was on a different partition which wasn’t being overwritten, the remnant of wxPython 4.0 continued to cause the issue.

I created a new partition and moved my personal files to that partition, then installed the distro again, overwriting the /home folder. Now Bible Analyzer opens and runs as it should.

Tim
Site Admin
Posts: 1211
Joined: Sun Dec 07, 2008 1:14 pm

Re: BA won't open

Post by Tim » Tue Oct 06, 2020 5:33 am

Great!
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Post Reply